Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QHttp.ConnectionMode

    java.lang.Object
      java.lang.Enum<QHttp.ConnectionMode>
          com.trolltech.qt.network.QHttp.ConnectionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QHttp.ConnectionMode>

Enclosing class:
  QHttp

    public static enum QHttp.ConnectionMode

extends java.lang.Enum<QHttp.ConnectionMode>
implements QtEnumerator

This enum is used to specify the mode of connection to use.

Constant | Value | Description
--- | --- | ---
`ConnectionModeHttp` | `0` | The connection is a regular Http connection to the server
`ConnectionModeHttps` | `1` | The Https protocol is used and the connection is encrypted using SSL.

When using the Https mode, care should be taken to connect to the sslErrors signal, and handle possible Ssl errors.

See Also:
  `QSslSocket`

Enum Constant Summary
`ConnectionModeHttp` The connection is a regular Http connection to the server
`ConnectionModeHttps` The Https protocol is used and the connection is encrypted using SSL.

Method Summary
`static QHttp.ConnectionMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.ConnectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QHttp.ConnectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ConnectionModeHttp

    public static final QHttp.ConnectionMode ConnectionModeHttp

  The connection is a regular Http connection to the server

### ConnectionModeHttps

    public static final QHttp.ConnectionMode ConnectionModeHttps

  The Https protocol is used and the connection is encrypted using SSL.

Method Detail

### values

    public static final QHttp.ConnectionMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QHttp.ConnectionMode c : QHttp.ConnectionMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QHttp.ConnectionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.ConnectionMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD